Subject: Re: bug#67611: [PATCH] Add a Pcase pattern `cl-lambda` equivalent to `cl-destructuring-bind`
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Okamsn <[email-masked]>, [email-masked],João Távora <[email-masked]>
Date: Sun, 23 Feb 2025 06:07:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>>> Thanks for the patch.  I can only echo the sentiment already given here,
>>> that making `pcase' more complex won't do much for its popularity.
>> This sentiment is not unanimous.  If pcase is naturally extensible,
>> using that ability is not making it more complex.  That'd be akin
>> to saying "defun" is made more complex because too many functions
>> are popping up.
>
> Agreed.
>
>> Just wanted register this position. Though I don't know for sure if
>> the patch is simply adding a new extension to pcase or changing
>> its core structure.
>
> It's a pure extension.  The question is not whether the patch is good or
> bad or whether it makes the existing infrastructure too complex.
> It's rather where should such a thing live.
>
> I don't think there's a clear enough need for it right now in Emacs core
> to motivate its integration in Emacs proper.  Also, because several
> people have expressed an opinion that leans towards recommending that
> Emacs's own code should probably better avoid using this functionality.
>
> I'd be quite happy to include such a think in GNU ELPA, OTOH.

This thread lead to some interesting discussions, but ultimately I think
for the OPs suggestion to fly it would have to be repackaged as a GNU
ELPA package.  So this is the recommendation for now, and please open a
new bug report for the GNU ELPA submission.

With that, I'm closing this bug report.